diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index e4a01699e4..b6b309a943 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1363,14 +1363,15 @@ include_dir 'conf.d'
       </term>
       <listitem>
        <para>
-        Enables/disables the use of huge memory pages. Valid values are
-        <literal>try</literal> (the default), <literal>on</literal>,
-        and <literal>off</literal>.
+        Controls whether huge memory pages are requested for the main shared
+        memory area. Valid values are <literal>try</literal> (the default),
+        <literal>on</literal>, and <literal>off</literal>.
        </para>
 
        <para>
-        At present, this feature is supported only on Linux. The setting is
-        ignored on other systems when set to <literal>try</literal>.
+        At present, explicitly requesting huge pages is supported only on
+        Linux. The setting is ignored on other systems when set to
+        <literal>try</literal>.
        </para>
 
        <para>
@@ -1386,6 +1387,18 @@ include_dir 'conf.d'
         to use huge pages will prevent the server from starting up. With
         <literal>off</literal>, huge pages will not be used.
        </para>
+
+       <para>
+        Note that, besides explicitly requesting huge pages via
+        <varname>huge_pages</varname>, operating systems including Linux,
+        FreeBSD and Illumos can also use huge pages (sometimes known as "super"
+        pages or "large" pages) automatically, without an explicit request from
+        <productname>PostgreSQL</productname>. In Linux this automatic use is
+        called "transparent huge pages" but, for some Linux kernel versions,
+        transparent huge pages are known to cause performance degradation with
+        <productname>PostgreSQL</productname> so, unlike
+        <varname>huge_pages</varname>, their use is discouraged.
+       </para>
       </listitem>
      </varlistentry>
 
